Skip to main content
POST
/
workflows
/
tasks
/
{task_id}
/
stop
停止工作流任务
curl --request POST \
  --url https://{api_base_url}/workflows/tasks/{task_id}/stop \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user": "user_workflow_123"
}
'
import requests

url = "https://{api_base_url}/workflows/tasks/{task_id}/stop"

payload = { "user": "user_workflow_123" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({user: 'user_workflow_123'})
};

fetch('https://{api_base_url}/workflows/tasks/{task_id}/stop', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "result": "success" }

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

task_id
string
required

任务 ID,可以从 执行工作流 API 的流式分块返回中获取。

Body

application/json
user
string
required

用户标识符,仅用于标识请求的终端用户,无需与 执行工作流 请求传入的 user 一致;停止对该任务始终生效。

Response

操作成功。

result
string

操作结果,固定为 success

Last modified on July 9, 2026